form.form(name="EstadoForm",novalidate)
	.row
		.col-md-10
			.panel.panel-info
				.panel-heading
					.panel-title Formulário
				.panel-body(ng-if="loading")
					span Carregando...
				.panel-body(ng-if="!loading")
					.row
						.col-md-6
							.form-group(ng-class="{'has-error':EstadoForm.nome.$invalid}")
								label.control-label Nome
								input.form-control(required, ng-minlength="3", name="nome",ng-model="Form.nome",placeholder="Nome do Estado")
								span(class="help-block",ng-if="EstadoForm.nome.$error.minlength") Mais de 3 caracteres
						.col-md-6
							.form-group(ng-class="{'has-error':EstadoForm.sigla.$invalid}")
								label.control-label Sigla
								input.form-control(required, ng-minlength="2",ng-maxlength="2",name="sigla",ng-model="Form.sigla",placeholder="Sigla do Estado")
								span(class="help-block",ng-if="EstadoForm.sigla.$error.minlength || EstadoForm.sigla.$error.maxlength") Exatamente 2 caracteres
					.row
						.col-md-6
							.form-group(ng-class="{'has-error':EstadoForm.latitude.$invalid}")
								label.control-label Latitude
								input.form-control(required,name="latitude",ng-model="marker.position[0]",placeholder="Latitude")
								span(class="help-block",ng-if="EstadoForm.latitude.$error.required") Campo requerido!
						.col-md-6
							.form-group(ng-class="{'has-error':EstadoForm.sigla.$invalid}")
								label.control-label Longitude
								input.form-control(required,name="longitude",ng-model="marker.position[1]",placeholder="Longitude")
								span(class="help-block",ng-if="EstadoForm.longitude.$error.required") Campo requerido!
					.row
						.col-md-12
							map.short-map(ng-transclude,center="map.center",zoom="map.zoom",events="map.events", options="map.options")
								marker(position="marker.position", decimals="marker.decimals", options="marker.options")
	
		.col-md-2
			div(bs-affix, data-offset-top="85")
				button.btn.btn-block.btn-info(tooltip="Salvar", ng-click="save()", ng-disabled="EstadoForm.$invalid") Salvar
				button.btn.btn-block.btn-info(tooltip="Cancelar", ng-click="cancel()") Cancelar
